%define major		12
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		mac
Version:	10.93
Release:	%mkrel 2
Summary:	Monkey's Audio Codec (MAC) utility
# Nonfree license (as per clause 3): http://www.monkeysaudio.com/license.html
License:	BSD-3-Clause
Group:		Sound/Editors and Converters
Url:		https://monkeysaudio.com
Source0:	%{url}/files/MAC_%(echo "%{version}" | tr -d .)_SDK.zip
Source1:	mac-permission_to_redistribute.txt

BuildRequires:	cmake
BuildRequires:	libstdc++-devel
%ifarch %{ix86} x86_64
BuildRequires:	yasm
%endif


%description
Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompression) ratio
and time.

Monkey's Audio Codec can be used for personal, educational
and non-commercial purposes. Commercial usage requires
prior written permission from Monkey's Audio author.
See License.htm before usage.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Monkey's Audio Codec library
Group:		System/Libraries

%description -n %{libname}
Monkey's Audio Codec library.

Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompresssion) ratio
and time.

Monkey's Audio Codec can be used for personal, educational
and non-commercial purposes. Commercial usage requires
prior written permission from Monkey's Audio author.
See License.htm before usage.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Monkey's Audio Codec development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files (headers etc) needed to develop software with %{libname}.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------
%prep
%autosetup -c %{name}

# Drop prebuilt binaries and unused vendored dependencies
rm -r '3rd Party' Shared/{32,64} Source/'DirectShow Filter'

# Convert readme to UTF-8 and fix EOL encoding
iconv -f iso8859-1 -t utf-8 Readme.txt > Readme.txt.conv && \
  mv -f Readme.txt.conv Readme.txt
sed -i 's/\r$//' Readme.txt

# Copy permission to redistribute
cp -pr %{SOURCE1} .

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc Readme.txt
%license License.txt
%{_bindir}/%{name}

%files -n %{libname}
%doc mac-permission_to_redistribute.txt Readme.txt
%license License.txt
%{_libdir}/libMAC.so.%{major}{,.*}

%files -n %{develname}
%doc Readme.txt
%{_includedir}/MAC/
%{_libdir}/libMAC.so


%changelog
* Fri Feb 07 2025 daviddavid <daviddavid> 10.93-2.mga10
+ Revision: 2145906
- new version: 10.93
- now libmajor is 12

* Sat Sep 02 2023 daviddavid <daviddavid> 10.20-2.mga10.nonfree
+ Revision: 1983514
- rebuild due to missing packages

* Wed Aug 30 2023 daviddavid <daviddavid> 10.20-1.mga10.nonfree
+ Revision: 1981234
- new version: 10.20
- new version: 10.18
- now licensed to BSD-3-Clause

* Fri Apr 15 2022 umeabot <umeabot> 4.11.4.5.7-4.mga9.nonfree
+ Revision: 1850373
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 4.11.4.5.7-3.mga8.nonfree
+ Revision: 1548631
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 umeabot <umeabot> 4.11.4.5.7-2.mga7.nonfree
+ Revision: 1279334
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 daviddavid <daviddavid> 4.11.4.5.7-1.mga7.nonfree
+ Revision: 1157777
- new version: 4.11.4.5.7
- add fedora patch to fix build with gcc-6

* Thu Feb 25 2016 daviddavid <daviddavid> 3.99.4.5.7-5.mga6.nonfree
+ Revision: 978894
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.99.4.5.7-4.mga5.nonfree
+ Revision: 748897
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.99.4.5.7-3.mga5.nonfree
+ Revision: 727065
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.99.4.5.7-2.mga5.nonfree
+ Revision: 682117
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 david-david <david-david> 3.99.4.5.7-1.mga5.nonfree
+ Revision: 603849
- imported package mac

